{
  "response": {
    "result": [
      {
        "cards": [
          {
            "card_id": "4b5b8c71-58d2-3f26-abce-318e3d3a01d6",
            "rendering_engine": "custom",
            "type": "MORNING_NIGHT",
            "type_display_name": "Set Alarm",
            "ttl": 1519683951,
            "layout": {
              "template": "morning_night"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "USER_LOCATION:OTHER": 1.0,
              "USER_SPEED:STILL": 1.0,
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 3.0,
              "TIER": 3.0,
              "score": 0.5
            },
            "instrumentation": {
              "rid": "64q97upd93pje",
              "bucket": "ga"
            }
          },
          {
            "card_id": "83a014c3-c0a4-3242-b5a8-79d011b677d6",
            "rendering_engine": "custom",
            "type": "WEATHER",
            "type_display_name": "Weather",
            "ttl": 1519683951,
            "layout": {
              "template": "weather"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 3.0,
              "TIER": 3.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "64q97upd93pje",
              "bucket": "ga"
            }
          },
          {
            "card_id": "c81eac4b-4553-3d60-85a6-178968bd5065",
            "rendering_engine": "custom",
            "type": "NEWS_DIGEST",
            "type_display_name": "News Digest",
            "ttl": 1519683951,
            "layout": {
              "template": "news_digest"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 2.0,
              "TIER": 2.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "64q97upd93pje",
              "bucket": "ga"
            }
          },
          {
            "card_id": "bcacee7a-d79a-3e4e-a5b8-77c5b6480a8c",
            "rendering_engine": "custom",
            "type": "CALENDAR",
            "type_display_name": "Calendar",
            "ttl": 1519683951,
            "layout": {
              "template": "calendar"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "USER_LOCATION:OTHER": 1.0,
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 2.0,
              "TIER": 2.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "64q97upd93pje",
              "bucket": "ga"
            }
          },
          {
            "card_id": "9953c0e9-5b77-3162-bcf4-e19fcd1f541f",
            "rendering_engine": "custom",
            "type": "VENUE_INFO",
            "type_display_name": "Venues",
            "ttl": 1519514751,
            "layout": {
              "template": "venue_info"
            },
            "data": {
              "name": "Tesco",
              "category": "Grocery Store",
              "iconUrl": "https://ss3.4sqi.net/img/categories_v2/shops/food_grocery_64.png",
              "id": "4c5ff51213791b8d0d5c4eaf",
              "provider": "foursquare",
              "tips": [
                "Prepare to be deafened by relief calls over the loudspeaker"
              ],
              "images": [],
              "address": "23-25 Sinclair Street",
              "city": "Helensburgh",
              "state": "Argyll and Bute",
              "zip": "G84 8SR",
              "twitter": {
                "handle": "uktescooffers",
                "viewIntent": "https://twitter.com/uktescooffers#Intent;action=android.intent.action.VIEW;package=com.twitter.android;end",
                "tweetIntent": "#Intent;action=android.intent.action.SEND;component=com.twitter.android/.PostActivity;S.android.intent.extra.TEXT=@uktescooffers;end"
              },
              "yelp": {
                "url": "https://m.yelp.com/biz/tesco-stores-helensburgh?adjust_creative=ogmBMO91tbdmscbTIaQEdA&utm_campaign=yelp_api&utm_medium=api_v2_search&utm_source=ogmBMO91tbdmscbTIaQEdA",
                "rating": 3.5,
                "reviewCount": 4,
                "viewIntent": "https://m.yelp.com/biz/tesco-stores-helensburgh?adjust_creative=ogmBMO91tbdmscbTIaQEdA&utm_campaign=yelp_api&utm_medium=api_v2_search&utm_source=ogmBMO91tbdmscbTIaQEdA#Intent;action=android.intent.action.VIEW;end"
              }
            },
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "poi_latitude": 56.00348039818216,
              "poi_longitude": -4.733884334564209,
              "USER_LOCATION:OTHER": 1.0,
              "req_longitude": -4.7335567,
              "req_latitude": 56.003506,
              "STREAM_TYPE:MAIN": 1.0,
              "USER_LOCATION_POI_CONFIDENCE:HIGH": 1.0,
              "rule_score": 0.0,
              "TIER": 0.0,
              "USER_DIST_FROM_REQ_LOC:WITHIN_100M": 1.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "64q97upd93pje",
              "bucket": "ga"
            }
          },
          {
            "card_id": "eea4f59a-e8a2-3e12-a917-96e254c416d5",
            "rendering_engine": "custom",
            "type": "VENUE_CHOOSER",
            "type_display_name": "Around Me",
            "ttl": 1519514751,
            "layout": {
              "template": "venue_chooser"
            },
            "data": {
              "venues": [
                {
                  "name": "Helensburgh",
                  "category": "Town",
                  "iconUrl": "https://ss3.4sqi.net/img/categories_v2/parks_outdoors/neighborhood_64.png",
                  "id": "4ba2614bf964a52015f337e3",
                  "provider": "foursquare",
                  "eid": "{\"card\":\"venue\",\"id\":\"4ba2614bf964a52015f337e3\"}"
                },
                {
                  "name": "Mr Kebab",
                  "category": "Fast Food Restaurant",
                  "iconUrl": "https://ss3.4sqi.net/img/categories_v2/food/fastfood_64.png",
                  "id": "4
